# Class SpherePlot2Task

java.lang.Object
uk.ac.starlink.ttools.plot2.task.AbstractPlot2Task
uk.ac.starlink.ttools.plot2.task.TypedPlot2Task<CubeSurfaceFactory.Profile, CubeAspect>
uk.ac.starlink.ttools.plot2.task.SpherePlot2Task

All Implemented Interfaces:
  `uk.ac.starlink.task.Task, DynamicTask`

public class SpherePlot2Task extends TypedPlot2Task<CubeSurfaceFactory.Profile, CubeAspect>
Task for sphere (isotropic 3D)-type plots.

Since:
  11 Sep 2014
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class AbstractPlot2Task

`DOC_ZONE_SUFFIX, DOMAINMAPPER_SUFFIX, EXAMPLE_LAYER_SUFFIX, EXAMPLE_ZONE_SUFFIX, LAYER_PREFIX, ZONE_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`SpherePlot2Task()`

## Method Summary

### Methods inherited from class TypedPlot2Task

`createDefaultPlotContext, getConfigParamDefault, getParameters, getPlotContext, getPlotContext, getPlotType, getPurpose`

### Methods inherited from class AbstractPlot2Task

`createAuxCrowdParameter, createAuxLabelParameter, createAuxVisibleParameter, createAuxWidthParameter, createBasicConfigMap, createCaptioner, createConfigMap, createCustomConfigMap, createDataParameter, createDomainMapperParameter, createExecutable, createFilterParameter, createLabelParameter, createLayerSuffixedConfigMap, createLayerTypeParameter, createLegend, createLegendPositionParameter, createPaintModeParameter, createPlotComponent, createPlotConfiguration, createPlotIcon, createPlotIcon, createShadeAxisFactory, createTableParameter, createTitleParameter, createZoneParameter, getBasicParameters, getBitmapParameter, getCompositorParameter, getContextParameters, getCoordValue, getDataStoreParameter, getInputTable, getLegendBorderParameter, getLegendOpaqueParameter, getLegendParameter, getLegendSequenceParameter, getPaddingParameter, getParameterByName, getPlotters, getSequenceParameter, getXpixParameter, getYpixParameter, getZoneKeyParams, hasDomainMappers, hasZoneSuffixes, testEnv`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpherePlot2Task

public SpherePlot2Task()